import http.client
import json
import pprint

api_key="Put your API Key here"

def get_data(path):
    connection = http.client.HTTPConnection('api.football-data.org')
    headers = { 'X-Auth-Token': api_key }
    connection.request('GET', path, None, headers )
    response = json.loads(connection.getresponse().read().decode())
    return response
    

def main():
    
    # Get list of teams
    response=get_data('/v2/competitions/PL/teams')
    for r in response['teams']:
        print (r['name'],r['id'])

    # Get list of matches for Arsenal FC.
    response=get_data('/v2/teams/57/matches?status=FINISHED')
    pprint.pprint(response)

    # Current standings
     response=get_data('/v2/competitions/PL/standings')
     pprint.pprint(response)

    # Current standings for home games only
     response=get_data('/v2/competitions/PL/standings?standingType=HOME')
     pprint.pprint(response)
    
main()

